using System.ComponentModel;

namespace OpenWarehouse.auth.lib.Model.Account;

public class EditAccountRespond : EditAccountRequest
{
    [DefaultValue(false)] public bool UserNameEdited { get; set; } = false;
    
    [DefaultValue(false)]
    public bool EmailEdited { get; set; } = false;
    
    [DefaultValue(false)]
    public bool PhoneEdited { get; set; } = false;
    
    [DefaultValue(false)]
    public bool Success { get; set; } = false;
    
    public string? Message { get; set; }
}